package serialPort;

import javax.comm.CommPortIdentifier;
import javax.comm.SerialPort;

/*
open() can leak memory in some CommAPI implementations
		  when called multiple times.
*/


public class OpenCloseTest {
    public static void main(String args[]) {
        CommPortIdentifier portId;
        SerialPort serialPort;

        int i = 0;
        while (true) {
            try {
                System.out.println("i=" + i++);
                portId = CommPortIdentifier.getPortIdentifier(
                        "cu.modem"
                );
                serialPort = (SerialPort) portId.open(
                        "cu.modem", 200
                );
                serialPort.close();
                System.out.println("done");
            } catch (Exception ie) {
            }
        }
    }
}

